Skip to main content
GET
/
event-logs
List event logs
curl --request GET \
  --url https://api.vanta.com/v1/event-logs \
  --header 'Authorization: Bearer <token>'
{
  "results": {
    "data": [
      {
        "id": "69fbbae3e16190a288ee8eb0",
        "actor": {
          "id": "69fbbaf987273a4b462580e9",
          "type": "USER"
        },
        "date": "2026-05-03T21:08:22.385Z",
        "action": "LOGIN_USER",
        "targets": [
          {
            "id": "email",
            "type": "LOGIN_METHOD"
          }
        ]
      }
    ],
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": "eyJjcmVhdGVkQXQiOnsiJGRhdGUiOiIyMDI2LTA1LTAzVDIxOjA4OjExLjQzNFoifSwiX2lkIjp7IiRvaWQiOiI2OGZiYmFlM2UxNjA5MGEyODRlZThlYjAifX0=",
      "endCursor": "eyJjcmVhdGVkQXQiOnsiJGRhdGUiOiIyMDI2LTA1LTAzVDIxOjA4OjIyLjM4NVoifSwiX2lkIjp7IiRvaWQiOiI2OWZiYmFlM2UxNjE5MGEyODhlZThlYjAifX0="
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
integer<int32>
default:10

Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

startDate
string<date-time>

Filter to event logs created at or after this ISO 8601 timestamp.

Response

200 - application/json

Ok

results
object
required